document.addEventListener('DOMContentLoaded', function() {
  // Mobile menu toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');

  mobileMenu.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Shopping cart functionality
  const buyButtons = document.querySelectorAll('.buy-button');
  let cartCount = 0;

  buyButtons.forEach(button => {
    button.addEventListener('click', () => {
      cartCount++;
      button.textContent = 'Added to Cart';
      button.style.background = 'var(--accent-color)';
      
      setTimeout(() => {
        button.textContent = 'Add to Cart';
        button.style.background = 'var(--secondary-color)';
      }, 2000);
    });
  });

  // Intersection Observer for fade-in animations
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('fade-in');
      }
    });
  });

  document.querySelectorAll('.book-card, .blog-post').forEach((el) => observer.observe(el));
});
